Liblinphone: linphone::ProxyConfig Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::ProxyConfig Class Reference

Represents an account configuration to be used by Core. More...

`#include <proxy_config.hh>`

Inheritance diagram for linphone::ProxyConfig:

## Public Member Functions
LINPHONECXX_PUBLIC | ProxyConfig (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneProxyConfig * | cPtr ()
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool | avpfEnabled ()
| Indicates whether AVPF/SAVPF is being used for calls using this proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::AVPFMode | getAvpfMode () const
| Get enablement status of RTCP feedback (also known as AVPF profile).
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setAvpfMode (linphone::AVPFMode mode)
| Enable the use of RTCP feedback (also known as AVPF profile).
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED uint8_t | getAvpfRrInterval () const
| Get the interval between regular RTCP reports when using AVPF/SAVPF.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setAvpfRrInterval (uint8_t interval)
| Set the interval between regular RTCP reports when using AVPF/SAVPF.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | getConferenceFactoryUri () const
| Get the conference factory uri.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setConferenceFactoryUri (const std::string &uri)
| Set the conference factory uri.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< const linphone::Address > | getContact () const
| Return the contact address of the proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | getContactParameters () const
| Returns the contact parameters.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setContactParameters (const std::string &contactParams)
| Set optional contact parameters that will be added to the contact information sent in the registration.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | getContactUriParameters () const
| Returns the contact URI parameters.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setContactUriParameters (const std::string &contactUriParams)
| Set optional contact parameters that will be added to the contact information sent in the registration, inside the URI.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< linphone::Core > | getCore () const
| Get the Core object to which is associated the ProxyConfig.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< linphone::ProxyConfig > | getDependency ()
| Get the dependency of a ProxyConfig.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setDependency (const std::shared_ptr< linphone::ProxyConfig > &dependsOn)
| Mark this proxy configuration as being dependent on the given one.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool | getDialEscapePlus () const
| Returns whether or not the + should be replaced by 00.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setDialEscapePlus (bool enable)
| Sets whether liblinphone should replace "+" by international calling prefix in dialed numbers (passed to Core::invite() ).
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | getDialPrefix () const
| Gets the prefix set for this proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setDialPrefix (const std::string &prefix)
| Sets a dialing prefix to be automatically prepended when inviting a number with Core::invite(); This dialing prefix shall usually be the country code of the country where the user is living, without "+".
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | getDomain () const
| Get the domain name of the given proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::Reason | getError () const
| Get the reason why registration failed when the proxy config state is LinphoneRegistrationFailed.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< const linphone::ErrorInfo > | getErrorInfo () const
| Get detailed information why registration failed when the proxy config state is LinphoneRegistrationFailed.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED int | getExpires () const
| Gets the proxy config expires.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setExpires (int expires)
| Sets the registration expiration time in seconds.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< const linphone::Address > | getIdentityAddress () const
| Gets the identity addres of the proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::Status | setIdentityAddress (const std::shared_ptr< linphone::Address > &identity)
| Sets the user identity as a SIP address.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | getIdkey ()
| Get the idkey property of a ProxyConfig.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setIdkey (const std::string &idkey)
| Set the idkey property on the given proxy configuration.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool | isPushNotificationAllowed () const
| Indicates whether to add to the contact parameters the push notification information.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool | isPushNotificationAvailable () const
| Gets whether push notifications are available or not (Android & iOS only).
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool | isRemotePushNotificationAllowed () const
| Indicates whether to add to the contact parameters the remote push notification information (IOS only).
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< linphone::NatPolicy > | getNatPolicy () const
| Get The policy that is used to pass through NATs/firewalls when using this proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setNatPolicy (const std::shared_ptr< linphone::NatPolicy > &policy)
| Set the policy to use to pass through NATs/firewalls when using this proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED unsigned int | getPrivacy () const
| Get default privacy policy for all calls routed through this proxy.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setPrivacy (unsigned int privacy)
| Set default privacy policy for all calls routed through this proxy.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool | publishEnabled () const
| Gets if the PUBLISH is enabled.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | enablePublish (bool enable)
| Indicates either or not, PUBLISH must be issued for this ProxyConfig.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED int | getPublishExpires () const
| get the publish expiration time in second.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setPublishExpires (int expires)
| Set the publish expiration time in second.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setPushNotificationAllowed (bool allow)
| Indicates whether to add to the contact parameters the push notification information.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< linphone::PushNotificationConfig > | getPushNotificationConfig () const
| Retrieves the push notification configuration.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setPushNotificationConfig (const std::shared_ptr< linphone::PushNotificationConfig > &pushCfg)
| Sets the push notification configuration.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | getQualityReportingCollector () const
| Get the route of the collector end-point when using quality reporting.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setQualityReportingCollector (const std::string &collector)
| Set the route of the collector end-point when using quality reporting.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool | qualityReportingEnabled ()
| Indicates whether quality statistics during call should be stored and sent to a collector according to RFC 6035.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | enableQualityReporting (bool enable)
| Indicates whether quality statistics during call should be stored and sent to a collector according to RFC 6035.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED int | getQualityReportingInterval ()
| Get the interval between interval reports when using quality reporting.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setQualityReportingInterval (int interval)
| Set the interval between 2 interval reports sending when using quality reporting.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | getRealm () const
| Get the realm of the given proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setRealm (const std::string &realm)
| Set the realm of the given proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | getRefKey () const
| Get the persistent reference key associated to the proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setRefKey (const std::string &refkey)
| Associate a persistent reference key to the proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool | registerEnabled () const
| Returns whether the proxy config is enabled or not.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | enableRegister (bool enable)
| Indicates either or not, REGISTRATION must be issued for this ProxyConfig.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setRemotePushNotificationAllowed (bool allow)
| Indicates whether to add to the contact parameters the remote push notification information (IOS only).
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::Status | setRoute (const std::string &route)
| Sets a SIP route.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::list< std::string > | getRoutes () const
| Gets the list of the routes set for this proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::Status | setRoutes (const std::list< std::string > &routes)
| Sets a list of SIP route.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | getServerAddr () const
| Gets the proxy config proxy address.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::Status | setServerAddr (const std::string &serverAddress)
| Sets the proxy address.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::RegistrationState | getState () const
| Get the registration state of the given proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | getTransport () const
| Get the transport from either service route, route or addr.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED int | getUnreadChatMessageCount () const
| Return the unread chat message count for a given proxy config.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::Status | done ()
| Commits modification made to the proxy configuration.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | edit ()
| Starts editing a proxy configuration.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< const linphone::AuthInfo > | findAuthInfo () const
| Find authentication info matching proxy config, if any, similarly to linphone_core_find_auth_info.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | getCustomHeader (const std::string &headerName)
| Obtain the value of a header sent by the server in last answer to REGISTER.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | normalizePhoneNumber (const std::string &username)
| Normalize a human readable phone number into a basic string.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< linphone::Address > | normalizeSipUri (const std::string &username)
| Normalize a human readable sip uri into a fully qualified Address.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | pauseRegister ()
| Prevent a proxy config from refreshing its registration.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | refreshRegister ()
| Refresh a proxy registration.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setCustomHeader (const std::string &headerName, const std::string &headerValue)
| Set the value of a custom header sent to the server in REGISTERs request.

## Detailed Description

Represents an account configuration to be used by Core.

In addition to the AuthInfo that stores the credentials, you need to configure a ProxyConfig as well to be able to connect to a proxy server. A minimal proxy config consists of an identity address (sip:usern.nosp@m.ame@.nosp@m.domai.nosp@m.n.tl.nosp@m.d) and the proxy server address,

See also
  setServerAddr(). If any, it will be stored inside the default configuration file, so it will survive the destruction of the Core and be available at the next start. The account set with Core::setDefaultProxyConfig() will be used as default for outgoing calls & chat messages unless specified otherwise.

Deprecated
  06/04/2020 Use Account object instead

## Member Function Documentation

## ◆ avpfEnabled()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool linphone::ProxyConfig::avpfEnabled | ( |  | ) |

Indicates whether AVPF/SAVPF is being used for calls using this proxy config.

Returns
  True if AVPF/SAVPF is enabled, false otherwise.

Deprecated
  06/04/2020 Use Account object instead

## ◆ done()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::Status linphone::ProxyConfig::done | ( |  | ) |

Commits modification made to the proxy configuration.

Returns
  0 if successful, -1 otherwise

Deprecated
  06/04/2020 Use Account object instead

## ◆ edit()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::edit | ( |  | ) |

Starts editing a proxy configuration.

Because proxy configuration must be consistent, applications MUST call edit() before doing any attempts to modify proxy configuration (such as identity, proxy address and so on). Once the modifications are done, then the application must call done() to commit the changes.

Deprecated
  06/04/2020 Use Account object instead

## ◆ enablePublish()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::enablePublish | ( | bool | enable | ) |

Indicates either or not, PUBLISH must be issued for this ProxyConfig.

In case this ProxyConfig has been added to Core, follows the edit() rule.

Parameters

  enable | if true, publish will be engaged

Deprecated
  06/04/2020 Use Account object instead

## ◆ enableQualityReporting()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::enableQualityReporting | ( | bool | enable | ) |

Indicates whether quality statistics during call should be stored and sent to a collector according to RFC 6035.

Parameters

  enable | True to store quality statistics and send them to the collector, false to disable it.

Deprecated
  06/04/2020 Use Account object instead

## ◆ enableRegister()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::enableRegister | ( | bool | enable | ) |

Indicates either or not, REGISTRATION must be issued for this ProxyConfig.

In case this ProxyConfig has been added to Core, follows the edit() rule.

Parameters

  enable | if true, registration will be engaged

Deprecated
  06/04/2020 Use Account object instead

## ◆ findAuthInfo()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< const linphone::AuthInfo > linphone::ProxyConfig::findAuthInfo | ( |  | ) | const

Find authentication info matching proxy config, if any, similarly to linphone_core_find_auth_info.

Returns
  a AuthInfo matching proxy config criteria if possible, nullptr if nothing can be found.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getAvpfMode()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::AVPFMode linphone::ProxyConfig::getAvpfMode | ( |  | ) | const

Get enablement status of RTCP feedback (also known as AVPF profile).

Returns
  the enablement mode, which can be AVPFMode::Default (use Core's mode), AVPFMode::Enabled (avpf is enabled), or AVPFMode::Disabled (disabled).

Deprecated
  06/04/2020 Use Account object instead

## ◆ getAvpfRrInterval()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED uint8_t linphone::ProxyConfig::getAvpfRrInterval | ( |  | ) | const

Get the interval between regular RTCP reports when using AVPF/SAVPF.

Returns
  The interval in seconds.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getConferenceFactoryUri()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ProxyConfig::getConferenceFactoryUri | ( |  | ) | const

Get the conference factory uri.

Returns
  The uri of the conference factory.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getContact()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< const linphone::Address > linphone::ProxyConfig::getContact | ( |  | ) | const

Return the contact address of the proxy config.

Returns
  a Address correspong to the contact address of the proxy config.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getContactParameters()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ProxyConfig::getContactParameters | ( |  | ) | const

Returns the contact parameters.

Returns
  previously set contact parameters.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getContactUriParameters()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ProxyConfig::getContactUriParameters | ( |  | ) | const

Returns the contact URI parameters.

Returns
  previously set contact URI parameters.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getCore()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< linphone::Core > linphone::ProxyConfig::getCore | ( |  | ) | const

Get the Core object to which is associated the ProxyConfig.

Returns
  The Core object to which is associated the ProxyConfig.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getCustomHeader()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ProxyConfig::getCustomHeader | ( | const std::string & | headerName | ) |

Obtain the value of a header sent by the server in last answer to REGISTER.

Parameters

  headerName | the header name for which to fetch corresponding value

Returns
  the value of the queried header.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getDependency()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< linphone::ProxyConfig > linphone::ProxyConfig::getDependency | ( |  | ) |

Get the dependency of a ProxyConfig.

Returns
  The proxy config this one is dependent upon, or nullptr if not marked dependent.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getDialEscapePlus()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool linphone::ProxyConfig::getDialEscapePlus | ( |  | ) | const

Returns whether or not the + should be replaced by 00.

Returns
  whether liblinphone should replace "+" by "00" in dialed numbers (passed to Core::invite()).

Deprecated
  06/04/2020 Use Account object instead

## ◆ getDialPrefix()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ProxyConfig::getDialPrefix | ( |  | ) | const

Gets the prefix set for this proxy config.

Returns
  dialing prefix.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getDomain()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ProxyConfig::getDomain | ( |  | ) | const

Get the domain name of the given proxy config.

Returns
  The domain name of the proxy config.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getError()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::Reason linphone::ProxyConfig::getError | ( |  | ) | const

Get the reason why registration failed when the proxy config state is LinphoneRegistrationFailed.

Returns
  The Reason why registration failed for this proxy config.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getErrorInfo()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< const linphone::ErrorInfo > linphone::ProxyConfig::getErrorInfo | ( |  | ) | const

Get detailed information why registration failed when the proxy config state is LinphoneRegistrationFailed.

Returns
  The ErrorInfo explaining why registration failed for this proxy config.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getExpires()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED int linphone::ProxyConfig::getExpires | ( |  | ) | const

Gets the proxy config expires.

Returns
  the duration of registration.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getIdentityAddress()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< const linphone::Address > linphone::ProxyConfig::getIdentityAddress | ( |  | ) | const

Gets the identity addres of the proxy config.

Returns
  the SIP identity that belongs to this proxy configuration.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getIdkey()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ProxyConfig::getIdkey | ( |  | ) |

Get the idkey property of a ProxyConfig.

Returns
  The idkey string, or nullptr.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getNatPolicy()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< linphone::NatPolicy > linphone::ProxyConfig::getNatPolicy | ( |  | ) | const

Get The policy that is used to pass through NATs/firewalls when using this proxy config.

If it is set to nullptr, the default NAT policy from the core will be used instead.

Returns
  NatPolicy object in use.

See also
  Core::getNatPolicy()

Deprecated
  06/04/2020 Use Account object instead

## ◆ getPrivacy()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED unsigned int linphone::ProxyConfig::getPrivacy | ( |  | ) | const

Get default privacy policy for all calls routed through this proxy.

Returns
  Privacy mode as LinphonePrivacyMask

Deprecated
  06/04/2020 Use Account object instead

## ◆ getPublishExpires()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED int linphone::ProxyConfig::getPublishExpires | ( |  | ) | const

get the publish expiration time in second.

Default value is the registration expiration value.

Returns
  expires in second

Deprecated
  06/04/2020 Use Account object instead

## ◆ getPushNotificationConfig()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< linphone::PushNotificationConfig > linphone::ProxyConfig::getPushNotificationConfig | ( |  | ) | const

Retrieves the push notification configuration.

Returns
  The PushNotificationConfig.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getQualityReportingCollector()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ProxyConfig::getQualityReportingCollector | ( |  | ) | const

Get the route of the collector end-point when using quality reporting.

This SIP address should be used on server-side to process packets directly before discarding packets. Collector address should be a non existing account and will not receive any messages. If nullptr, reports will be send to the proxy domain.

Returns
  The SIP address of the collector end-point.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getQualityReportingInterval()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED int linphone::ProxyConfig::getQualityReportingInterval | ( |  | ) |

Get the interval between interval reports when using quality reporting.

Returns
  The interval in seconds, 0 means interval reports are disabled.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getRealm()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ProxyConfig::getRealm | ( |  | ) | const

Get the realm of the given proxy config.

Returns
  The realm of the proxy config.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getRefKey()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ProxyConfig::getRefKey | ( |  | ) | const

Get the persistent reference key associated to the proxy config.

The reference key can be for example an id to an external database. It is stored in the config file, thus can survive to process exits/restarts.

Returns
  The reference key string that has been associated to the proxy config, or nullptr if none has been associated.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getRoutes()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::list< std::string > linphone::ProxyConfig::getRoutes | ( |  | ) | const

Gets the list of the routes set for this proxy config.

Returns
  The list of routes as string.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getServerAddr()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ProxyConfig::getServerAddr | ( |  | ) | const

Gets the proxy config proxy address.

Returns
  the proxy's SIP address.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getState()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::RegistrationState linphone::ProxyConfig::getState | ( |  | ) | const

Get the registration state of the given proxy config.

Returns
  The RegistrationState of the proxy config.

Deprecated
  06/04/2020 Use Account object instead

## ◆ getTransport()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ProxyConfig::getTransport | ( |  | ) | const

Get the transport from either service route, route or addr.

Returns
  The transport as a string (I.E udp, tcp, tls, dtls)

Deprecated
  06/04/2020 Use Account object instead

## ◆ getUnreadChatMessageCount()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED int linphone::ProxyConfig::getUnreadChatMessageCount | ( |  | ) | const

Return the unread chat message count for a given proxy config.

Returns
  The unread chat message count.

Deprecated
  06/04/2020 Use Account object instead

## ◆ isPushNotificationAllowed()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool linphone::ProxyConfig::isPushNotificationAllowed | ( |  | ) | const

Indicates whether to add to the contact parameters the push notification information.

For IOS, it indicates to VOIP push notification.

Returns
  true if push notification informations should be added, false otherwise.

Deprecated
  06/04/2020 Use Account object instead

## ◆ isPushNotificationAvailable()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool linphone::ProxyConfig::isPushNotificationAvailable | ( |  | ) | const

Gets whether push notifications are available or not (Android & iOS only).

Returns
  true if push notifications are available, false otherwise

Deprecated
  06/04/2020 Use Account object instead

## ◆ isRemotePushNotificationAllowed()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool linphone::ProxyConfig::isRemotePushNotificationAllowed | ( |  | ) | const

Indicates whether to add to the contact parameters the remote push notification information (IOS only).

Default value is false.

Returns
  true if remote push notification informations should be added, false otherwise.

Deprecated
  06/04/2020 Use Account object instead

## ◆ normalizePhoneNumber()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ProxyConfig::normalizePhoneNumber | ( | const std::string & | username | ) |

Normalize a human readable phone number into a basic string.

888-444-222 becomes 888444222 or +33888444222 depending on the ProxyConfig object. This function will always generate a normalized username if input is a phone number.

Parameters

  username | the string to parse

Returns
  nullptr if input is an invalid phone number, normalized phone number from username input otherwise.

Deprecated
  06/04/2020 Use Account object instead

## ◆ normalizeSipUri()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< linphone::Address > linphone::ProxyConfig::normalizeSipUri | ( | const std::string & | username | ) |

Normalize a human readable sip uri into a fully qualified Address.

A sip address should look like DisplayName <sip:username@domain:port> . Basically this function performs the following tasks The result is a syntactically correct SIP address.

Parameters

  username | the string to parse

Returns
  nullptr if invalid input, normalized sip address otherwise.

Deprecated
  06/04/2020 Use Account object instead

## ◆ pauseRegister()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::pauseRegister | ( |  | ) |

Prevent a proxy config from refreshing its registration.

This is useful to let registrations to expire naturally (or) when the application wants to keep control on when refreshes are sent. However, linphone_core_set_network_reachable(lc,true) will always request the proxy configs to refresh their registrations. The refreshing operations can be resumed with refreshRegister().

Deprecated
  06/04/2020 Use Account object instead

## ◆ publishEnabled()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool linphone::ProxyConfig::publishEnabled | ( |  | ) | const

Gets if the PUBLISH is enabled.

Returns
  true if PUBLISH request is enabled for this proxy.

Deprecated
  06/04/2020 Use Account object instead

## ◆ qualityReportingEnabled()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool linphone::ProxyConfig::qualityReportingEnabled | ( |  | ) |

Indicates whether quality statistics during call should be stored and sent to a collector according to RFC 6035.

Returns
  True if quality repotring is enabled, false otherwise.

Deprecated
  06/04/2020 Use Account object instead

## ◆ refreshRegister()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::refreshRegister | ( |  | ) |

Refresh a proxy registration.

This is useful if for example you resuming from suspend, thus IP address may have changed.

Deprecated
  06/04/2020 Use Account object instead

## ◆ registerEnabled()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool linphone::ProxyConfig::registerEnabled | ( |  | ) | const

Returns whether the proxy config is enabled or not.

Returns
  true if registration to the proxy is enabled.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setAvpfMode()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setAvpfMode | ( | linphone::AVPFMode | mode | ) |

Enable the use of RTCP feedback (also known as AVPF profile).

Parameters

  mode | the enablement mode, which can be AVPFMode::Default (use Core's mode), AVPFMode::Enabled (avpf is enabled), or AVPFMode::Disabled (disabled).

Deprecated
  06/04/2020 Use Account object instead

## ◆ setAvpfRrInterval()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setAvpfRrInterval | ( | uint8_t | interval | ) |

Set the interval between regular RTCP reports when using AVPF/SAVPF.

Parameters

  interval | The interval in seconds (between 0 and 5 seconds).

Deprecated
  06/04/2020 Use Account object instead

## ◆ setConferenceFactoryUri()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setConferenceFactoryUri | ( | const std::string & | uri | ) |

Set the conference factory uri.

Parameters

  uri | The uri of the conference factory.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setContactParameters()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setContactParameters | ( | const std::string & | contactParams | ) |

Set optional contact parameters that will be added to the contact information sent in the registration.

Parameters

  contactParams | a string contaning the additional parameters in text form, like "myparam=something;myparam2=something_else" The main use case for this function is provide the proxy additional information regarding the user agent, like for example unique identifier or apple push id. As an example, the contact address in the SIP register sent will look like <sip:joe@1.nosp@m.5.12.nosp@m.8.128.nosp@m..93:50421>;apple-push-id=43143-DFE23F-2323-FA2232.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setContactUriParameters()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setContactUriParameters | ( | const std::string & | contactUriParams | ) |

Set optional contact parameters that will be added to the contact information sent in the registration, inside the URI.

Parameters

  contactUriParams | a string containing the additional parameters in text form, like "myparam=something;myparam2=something_else" The main use case for this function is provide the proxy additional information regarding the user agent, like for example unique identifier or apple push id. As an example, the contact address in the SIP register sent will look like <sip:joe@1.nosp@m.5.12.nosp@m.8.128.nosp@m..93:50421;apple-push-id=43143-DFE23F-2323-FA2232>.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setCustomHeader()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setCustomHeader | ( | const std::string & | headerName,
|  | const std::string & | headerValue )

Set the value of a custom header sent to the server in REGISTERs request.

Parameters

  headerName | the header name
  headerValue | the header's value

Deprecated
  06/04/2020 Use Account object instead

## ◆ setDependency()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setDependency | ( | const std::shared_ptr< linphone::ProxyConfig > & | dependsOn | ) |

Mark this proxy configuration as being dependent on the given one.

The dependency must refer to a proxy config previously added to the core and which idkey property is defined.

See also
  setIdkey() The proxy configuration marked as dependent will wait for successful registration on its dependency before triggering its own. Once registered, both proxy configurations will share the same contact address (the 'dependency' one). This mecanism must be enabled before the proxy configuration is added to the core

Parameters

  dependsOn | The ProxyConfig this one shall be depend on.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setDialEscapePlus()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setDialEscapePlus | ( | bool | enable | ) |

Sets whether liblinphone should replace "+" by international calling prefix in dialed numbers (passed to Core::invite() ).

Parameters

  enable | true to replace + by the international prefix, false otherwise.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setDialPrefix()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setDialPrefix | ( | const std::string & | prefix | ) |

Sets a dialing prefix to be automatically prepended when inviting a number with Core::invite(); This dialing prefix shall usually be the country code of the country where the user is living, without "+".

Parameters

  prefix | the prefix to set (withouth the +)

Deprecated
  06/04/2020 Use Account object instead

## ◆ setExpires()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setExpires | ( | int | expires | ) |

Sets the registration expiration time in seconds.

Parameters

  expires | the expiration time to set

Deprecated
  06/04/2020 Use Account object instead

## ◆ setIdentityAddress()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::Status linphone::ProxyConfig::setIdentityAddress | ( | const std::shared_ptr< linphone::Address > & | identity | ) |

Sets the user identity as a SIP address.

This identity is normally formed with display name, username and domain, such as: Alice <sip:alice.nosp@m.@exa.nosp@m.mple..nosp@m.net> The REGISTER messages will have from and to set to this identity.

Parameters

  identity | the Address of the identity to set

Deprecated
  06/04/2020 Use Account object instead

## ◆ setIdkey()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setIdkey | ( | const std::string & | idkey | ) |

Set the idkey property on the given proxy configuration.

This property can the be referenced by another proxy config 'depends_on' to create a dependency relation between them.

See also
  linphone_proxy_config_set_depends_on()

Parameters

  idkey | The idkey string to associate to the given ProxyConfig.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setNatPolicy()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setNatPolicy | ( | const std::shared_ptr< linphone::NatPolicy > & | policy | ) |

Set the policy to use to pass through NATs/firewalls when using this proxy config.

If it is set to nullptr, the default NAT policy from the core will be used instead.

Parameters

  policy | NatPolicy object.

See also
  Core::setNatPolicy()

Deprecated
  06/04/2020 Use Account object instead

## ◆ setPrivacy()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setPrivacy | ( | unsigned int | privacy | ) |

Set default privacy policy for all calls routed through this proxy.

Parameters

  privacy | Privacy to configure privacy

Deprecated
  06/04/2020 Use Account object instead

## ◆ setPublishExpires()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setPublishExpires | ( | int | expires | ) |

Set the publish expiration time in second.

Parameters

  expires | in second

Deprecated
  06/04/2020 Use Account object instead

## ◆ setPushNotificationAllowed()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setPushNotificationAllowed | ( | bool | allow | ) |

Indicates whether to add to the contact parameters the push notification information.

For IOS, it indicates to VOIP push notification.

Parameters

  allow | true to allow push notification information, false otherwise.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setPushNotificationConfig()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setPushNotificationConfig | ( | const std::shared_ptr< linphone::PushNotificationConfig > & | pushCfg | ) |

Sets the push notification configuration.

Parameters

  pushCfg | PushNotificationConfig to set.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setQualityReportingCollector()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setQualityReportingCollector | ( | const std::string & | collector | ) |

Set the route of the collector end-point when using quality reporting.

This SIP address should be used on server-side to process packets directly before discarding packets. Collector address should be a non existing account and will not receive any messages. If nullptr, reports will be send to the proxy domain.

Parameters

  collector | route of the collector end-point, if nullptr PUBLISH will be sent to the proxy domain.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setQualityReportingInterval()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setQualityReportingInterval | ( | int | interval | ) |

Set the interval between 2 interval reports sending when using quality reporting.

If call exceed interval size, an interval report will be sent to the collector. On call termination, a session report will be sent for the remaining period. Value must be 0 (disabled) or positive.

Parameters

  interval | The interval in seconds, 0 means interval reports are disabled.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setRealm()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setRealm | ( | const std::string & | realm | ) |

Set the realm of the given proxy config.

Parameters

  realm | New realm value.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setRefKey()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setRefKey | ( | const std::string & | refkey | ) |

Associate a persistent reference key to the proxy config.

The reference key can be for example an id to an external database. It is stored in the config file, thus can survive to process exits/restarts.

Parameters

  refkey | The reference key string to associate to the proxy config.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setRemotePushNotificationAllowed()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ProxyConfig::setRemotePushNotificationAllowed | ( | bool | allow | ) |

Indicates whether to add to the contact parameters the remote push notification information (IOS only).

Parameters

  allow | true to allow remote push notification information, false otherwise.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setRoute()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::Status linphone::ProxyConfig::setRoute | ( | const std::string & | route | ) |

Sets a SIP route.

When a route is set, all outgoing calls will go to the route's destination if this proxy is the default one (see Core::setDefaultProxyConfig() ).

Parameters

  route | the SIP route to set

Returns
  -1 if route is invalid, 0 otherwise.

Deprecated
  08/07/2020 use setRoutes() instead

## ◆ setRoutes()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::Status linphone::ProxyConfig::setRoutes | ( | const std::list< std::string > & | routes | ) |

Sets a list of SIP route.

When a route is set, all outgoing calls will go to the route's destination if this proxy is the default one (see Core::setDefaultProxyConfig() ).

Parameters

  routes | A of routes

Returns
  -1 if routes are invalid, 0 otherwise.

Deprecated
  06/04/2020 Use Account object instead

## ◆ setServerAddr()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED linphone::Status linphone::ProxyConfig::setServerAddr | ( | const std::string & | serverAddress | ) |

Sets the proxy address.

Examples of valid sip proxy address are:

Parameters

  serverAddress | the proxy address to set.

Deprecated
  06/04/2020 Use Account object instead

The documentation for this class was generated from the following file:

- proxy_config.hh